
:root {
  --blackish: #282b28;
  --orange: #025BC3;
  --yellow: #eeb902;
  --grey: rgba(0, 0, 0, 0.2);
  --demaco: #167F92;
}

/* Estilos específicos para .skin-red .sidebar-mini .sidebar-collapse */
.skin-red .sidebar-mini .sidebar-collapse .pull-right-container {
  display: none;
}

.tbl-btn{
  width: 10px !important;
}

table {
  table-layout: auto;
  width: 100%;

}



td:first-child {
  text-overflow: initial;
}

.long-text {
  max-width: 50px; /* ajusta el valor según sea necesario */
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;

}


.long-text:hover {
  max-width: 100%; /* ajusta el valor según sea necesario */
  overflow: visible;
  text-overflow: unset;
  cursor: text;
}



.demaco{
      background-color:var(--demaco);  
    color:white;
    }
    
.loader{
  position:fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%,-50%);
  width: 200px;
  height: 200px;
  box-sizing: border-box;
  z-index: 100;
}

.loader .face{
  position: absolute;
  border: 2px solid var(--grey)
}

.loader .face.face1{
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  box-shadow: 0 0 10px var(--grey);
  border-radius: 50%;
  border-left: 2px solid var(--orange);
  border-top: 2px solid var(--orange);
  animation: animate 8s linear infinite;
}

.loader .face.face2{
  top: 15px;
  left: 15px;
  right: 15px;
  bottom: 15px;
  box-shadow: 0 0 10px var(--grey);
  border-radius: 50%;
  border-right: 2px solid var(--orange);
  border-bottom: 2px solid var(--orange);
  animation: animatee 2.5s linear infinite;
}

.loader .face .circle{
  position: absolute;
  top: 50%;
  left: 50%;
  width: 50%;
  height: 2px;
  transform-origin: left;
}

.loader .face.face1 .circle{
  transform: rotate(-45deg);
}

.loader .face.face2 .circle{
  transform: rotate(-45deg);
}

.loader .face .circle:before{
  content: '';
  position: absolute;
  width: 10px;
  height: 10px;
  border-radius: 50%;
  background: #FFF;
  top: -4px;
  right: -6px;
}

.loader .face.face1   .circle:before{
  background: var(--orange);
  box-shadow: 0 0 20px var(--orange),
              0 0 40px var(--orange),
              0 0 60px var(--orange),
              0 0 80px var(--orange),
              0 0 100px var(--orange),
              0 0 0 5px rgba(211, 97, 53,.1);

}

.loader .face.face2 .circle:before{
  background: var(--orange);
  box-shadow: 0 0 20px var(--orange),
              0 0 40px var(--orange),
              0 0 60px var(--orange),
              0 0 80px var(--orange),
              0 0 100px var(--orange),
              0 0 0 5px rgba(211, 97, 53,.1);
}

@keyframes animate{
  0%{
    transform: rotate(0deg);
  }
  100%{
    transform: rotate(360deg);
  }
}

@keyframes animatee{
  0%{
    transform: rotate(360deg);
  }
  100%{
    transform: rotate(0deg);
  }
}



  .ui-autocomplete {
      z-index: 100 !important;
  }

  .ui-front {
      z-index: 1500 !important;
  }

  #ui-id-2.ui-autocomplete.ui-front 
  {
    z-index: 99999 !important;
    display: block !important;
  }

  .btn-primary,
  .sweet-alert button.confirm,
  .wizard>.actions a {
    background-color: #4099ff;
    font-family: 'Titillium Web' !important;
    border-color: #4099ff;
    color: #fff;
    cursor: pointer;

  }

  .btn {
    border-radius: 2px;
    border: none;
    cursor: pointer;
    transition: all 0.5s linear; /* vendorless fallback */
    -o-transition: all 0.5s linear; /* opera */
    -ms-transition: all 0.5s linear; /* IE 10 */
    -moz-transition: all 0.5s linear; /* Firefox */
    -webkit-transition: all 0.5s linear; /*safari and chrome */
  }

  .btn:hover {
    transition: all 0.3s linear; /* vendorless fallback */
    -o-transition: all 0.3s linear; /* opera */
    -ms-transition: all 0.3s linear; /* IE 10 */
    -moz-transition: all 0.3s linear; /* Firefox */
    -webkit-transition: all 0.3s linear; /*safari and chrome */

    color:white;
    border-radius:30px; 
    background: #4f7be3;

  }


  .acction {
    transition: all .2s ease-in-out;
  }

  .acction:hover {
    transform: scale(1.4);
    cursor: pointer;
  }

  .btn-default.btn-on.active {
    background-color: #5BB75B;
    color: white;
  }

  .btn-default.btn-off.active {
    background-color: #DA4F49;
    color: white;
  }

  .close {
    color: white !important;
  }

  .dataTables_scrollHeadInner {
    width: 100% !important;
  }

  .dataTables_scrollHeadInner table {
    width: 100% !important;
  }


  .dataTables_scrollBodyInner {
    width: 100% !important;
  }

  .dataTables_scrollBodyInner table {
    width: 100% !important;
  }

  .dataTables_scrollFootInner {
    width: 100% !important;
  }

  .dataTables_scrollFootInner table {
    width: 100% !important;
  }

  ::-webkit-scrollbar {
    width: 10px;
  }

  ::-webkit-scrollbar-track {
    background: #f1f1f1;
  }

  ::-webkit-scrollbar-thumb {
    background: #222d32;

  }

  ::-webkit-scrollbar-thumb:hover {
    background: #2bba9c;
  }

  .taskbar{
    position: fixed;
    bottom: 0;
    width: 100vw;
    height: 45px;
    backdrop-filter: blur(15px);
    padding: 5px;
    text-align: center;
    z-index: 1000;

    &:after{
      content: "";
      position: absolute;
      left: 0;
      top: 0;
      right: 0;
      bottom: 0;
      z-index: -1;
      opacity: .6;
      background-color: #fff;
      background-image: url("https://s3-us-west-2.amazonaws.com/s.cdpn.io/59615/bg--acrylic-light.png");
    }
  }

  .taskbarIconIndicator{
    position: absolute;
    left: 11px;
    width: 19px;
    height: 3px;
    bottom: 3px;
    background-color: #226cb1;
    border-radius: 25%;
    transform-origin: center;
    transition: transform .2s linear;

    &.unfocused{
      transform: scaleX(.3);
      background-color: #999;
    }
  }

  .noselect {
    background: #222d32;
    -webkit-touch-callout: none; /* iOS Safari */
      -webkit-user-select: none; /* Safari */
      -khtml-user-select: none; /* Konqueror HTML */
        -moz-user-select: none; /* Old versions of Firefox */
          -ms-user-select: none; /* Internet Explorer/Edge */
              user-select: none; /* Non-prefixed version, currently
                                    supported by Chrome, Edge, Opera and Firefox */
  }

  .taskbarIconWrapper{
     
      display: inline-block;
      position: relative;
      vertical-align: top;
      border-radius: 4px;
      transition: background-color .2s linear;
      padding: 0px;
      &.active{
        background-color: rgba(255,255,255,.17);
      }

      &.focused, &:hover{
        background-color: rgba(255,255,255,.4);
      }
  }

.botonFlotante{
  cursor:pointer;
  font-size:medium;
  width:auto;
  height:auto;
  border-radius:0.5rem;
  background:#4099ff;
  right:30px;
  top:0;
  position:absolute;
  margin-right:16px;
  margin-bottom:16px;
  border:none;
  outline:none;
  color:#FFF;
  box-shadow: 0 3px 6px rgba(0,0,0,0.16), 0 3px 6px rgba(0,0,0,0.23);
  transition:.3s;  
}
span{
  transition:.5s;  
}
.botonFlotante:hover span{
  transform:rotate(360deg);
}
.botonFlotante:active{
  transform:scale(1.4);
}

.file {
  transition: all .2s ease-in-out;
}

.file:hover {
  transform: scale(1.1);
  cursor: pointer;
}

.tooltip .tooltip-inner {
  background-color: #222d32;
  color: white;
}

.tooltip .arrow::before {
  border-left-color: #222d32;
  color: white;
}

.btncustom {

  border-radius: 25px !important;
  border: 1px solid black !important;
}

.custom {

  background-color: transparent;
  border-style: none;
}

.custom:focus,
input:focus {
  outline: none;
}

.contenedor-terms {
  width: 100%;
  height: 200px;
  overflow: auto;
}

.contenedor-terms p {
  text-align: justify;
  font-size: 14px;
  line-height: 1.5;
  padding: 10px;
}

.contenedor-terms li {
  font-size: 14px !important;
  text-align: left !important;
  text-align: justify !important;
  padding: 10px;
}

.text-container-terms {
  height: 200px;
  overflow-y: scroll;
  position: relative;
}

#scroll-button-terms {
  display: none;
  position: absolute;
  bottom: 0;
  left: 50%;
  transform: translateX(-50%);
}

.swal-font-size {
  font-size: 12px; /* Ajusta el tamaño de la fuente según lo necesario */
  text-align: left;
}

.btn-block{
  border-radius:8px;
}